libzypp: zypp::_logtoolsdetail::DumpValues< TMap > Class Template Reference

libzypp 17.25.10

Public Types | Public Member Functions | Private Attributes | Related Functions | List of all members
zypp::_logtoolsdetail::DumpValues< TMap > Class Template Reference

std::map wrapper for stream output of values. More...

`#include <LogTools.h>`

## Public Types
typedef MapKVIteratorTraits< TMap >::Value_const_iterator | MapValue_const_iterator

## Public Member Functions
| DumpValues (const TMap &map_r)
const TMap & | map () const
MapValue_const_iterator | begin () const
MapValue_const_iterator | end () const

## Private Attributes
const TMap *const | _map

## Related Functions
(Note that these are not member functions.)
template<class TMap >
std::ostream & | operator<< (std::ostream &str, const DumpValues< TMap > &obj)
| Stream output. More...
template<class TMap >
DumpValues< TMap > | dumpValues (const TMap &map_r)
| Convenience function to create DumpValues from std::map. More...

## Detailed Description

template<class TMap>
class zypp::_logtoolsdetail::DumpValues< TMap >

std::map wrapper for stream output of values.

Uses MapKVIterator iterate and write the values.

std::map<...> mymap;
std::cout << dumpValues(mymap) << std::endl;
zypp::_logtoolsdetail::DumpValues::dumpValues
DumpValues< TMap > dumpValues(const TMap &map_r)
Convenience function to create DumpValues from std::map.
Definition: LogTools.h:368

Definition at line 338 of file LogTools.h.

## Member Typedef Documentation

## ◆ MapValue_const_iterator

template<class TMap >

typedef MapKVIteratorTraits<TMap>::Value_const_iterator zypp::_logtoolsdetail::DumpValues< TMap >::MapValue_const_iterator

Definition at line 341 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ DumpValues()

template<class TMap >

zypp::_logtoolsdetail::DumpValues< TMap >::DumpValues | ( | const TMap & | map_r | ) |
| inline

Definition at line 344 of file LogTools.h.

## Member Function Documentation

## ◆ map()

template<class TMap >

const TMap& zypp::_logtoolsdetail::DumpValues< TMap >::map | ( |  | ) | const
| inline

Definition at line 348 of file LogTools.h.

## ◆ begin()

template<class TMap >

MapValue_const_iterator zypp::_logtoolsdetail::DumpValues< TMap >::begin | ( |  | ) | const
| inline

Definition at line 351 of file LogTools.h.

## ◆ end()

template<class TMap >

MapValue_const_iterator zypp::_logtoolsdetail::DumpValues< TMap >::end | ( |  | ) | const
| inline

Definition at line 354 of file LogTools.h.

## Friends And Related Function Documentation

## ◆ operator<<()

template<class TMap >

std::ostream & operator<< | ( | std::ostream & | str,
|  | const DumpValues< TMap > & | obj
| ) |  |
| related

Stream output.

Definition at line 363 of file LogTools.h.

## ◆ dumpValues()

template<class TMap >

DumpValues< TMap > dumpValues | ( | const TMap & | map_r | ) |
| related

Convenience function to create DumpValues from std::map.

Definition at line 368 of file LogTools.h.

## Member Data Documentation

## ◆ _map

template<class TMap >

const TMap* const zypp::_logtoolsdetail::DumpValues< TMap >::_map
| private

Definition at line 358 of file LogTools.h.

The documentation for this class was generated from the following file:

- zypp/base/LogTools.h